Package org.apache.catalina.tribes.group

## Class Response

- java.lang.Object
- - org.apache.catalina.tribes.group.Response

    public class Response
    extends java.lang.Object

A response object holds a message from a responding partner.

Version:
  1.0

### Constructor Summary

Constructors
`Response()`
`Response​(Member source, java.io.Serializable message)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.io.Serializable` `getMessage()`
`Member` `getSource()`
`void` `setMessage​(java.io.Serializable message)`
`void` `setSource​(Member source)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Response

    public Response()

#### Response

    public Response​(Member source,
                    java.io.Serializable message)

### Method Detail

#### setSource

    public void setSource​(Member source)

#### setMessage

    public void setMessage​(java.io.Serializable message)

#### getSource

    public Member getSource()

#### getMessage

    public java.io.Serializable getMessage()